Autor Thema: lightdm bug  (Gelesen 429 mal)

0 Mitglieder und 1 Gast betrachten dieses Thema.

Offline schranzonator

  • Neuling
  • *
  • Beiträge: 3
  • Desktop: XFCE
  • Grafikkarte: GTX 970
  • Grafikkartentreiber: nonfree
  • Prozessor: intel q9550
  • Skill: Durchschnitt
  • Zweig: stable
lightdm bug
« am: 27. März 2018, 23:38:28 »
Wollte mal fragen ob jemand das Problem kennt:
Wenn man im nonfree nvidia treiber full compositing aktiviert, um das tearing zu vermindern,
tritt folgendes Problem im lightdm Loginmanager auf:
Nach einmaliger Eingabe des Passworts passiert nix, außer dass die Bedienelemente verschwinden
und man nur noch cursor und das Hintergrundbild sieht.
Wenn man jetzt strg+alt+entf drückt erscheint das Loginfenster erneut und man kann sich normal
einloggen.
Ohne full compositing klappts problemlos.
Ist ein bisschen nervig  ???
danke für jede Hilfe  ;)

Offline Pig of Destiny

  • Held Mitglied
  • *****
  • Beiträge: 1384
  • Dankeschön: 125 mal
  • Desktop: Xfce
  • Grafikkarte: Intel Graphics
  • Grafikkartentreiber: free
  • Kernel: 4.16
  • Prozessor: Intel Celeron N3350
  • Skill: Durchschnitt
  • Zweig: Arch Linux
Re: lightdm bug
« Antwort #1 am: 28. März 2018, 13:06:23 »
Moin,

hast du irgendwelche Fehler in /var/log/lightdm/lightdm.log ?

Grüße,

PoD

Offline schranzonator

  • Neuling
  • *
  • Beiträge: 3
  • Desktop: XFCE
  • Grafikkarte: GTX 970
  • Grafikkartentreiber: nonfree
  • Prozessor: intel q9550
  • Skill: Durchschnitt
  • Zweig: stable
Re: lightdm bug
« Antwort #2 am: 28. März 2018, 16:09:24 »
ich poste hier mal meine lightdm log, sind für mich leider böhmische dörfer ::) :
[+0.00s] DEBUG: Logging to /var/log/lightdm/lightdm.log
[+0.00s] DEBUG: Starting Light Display Manager 1.24.1, UID=0 PID=349
[+0.00s] DEBUG: Loading configuration dirs from /usr/share/lightdm/lightdm.conf.d
[+0.00s] DEBUG: Loading configuration dirs from /usr/local/share/lightdm/lightdm.conf.d
[+0.00s] DEBUG: Loading configuration dirs from /etc/xdg/lightdm/lightdm.conf.d
[+0.00s] DEBUG: Loading configuration from /etc/lightdm/lightdm.conf
[+0.01s] DEBUG: Registered seat module local
[+0.01s] DEBUG: Registered seat module xremote
[+0.01s] DEBUG: Registered seat module unity
[+0.01s] DEBUG: Using D-Bus name org.freedesktop.DisplayManager
[+0.01s] DEBUG: Monitoring logind for seats
[+0.01s] DEBUG: New seat added from logind: seat0
[+0.01s] DEBUG: Seat seat0: Loading properties from config section Seat:*
[+0.01s] DEBUG: Seat seat0: Starting
[+0.01s] DEBUG: Seat seat0: Creating greeter session
[+0.02s] DEBUG: Seat seat0: Creating display server of type x
[+0.02s] DEBUG: Could not run plymouth --ping: Failed to execute child process “plymouth” (No such file or directory)
[+0.02s] DEBUG: Using VT 7
[+0.02s] DEBUG: Seat seat0: Starting local X display on VT 7
[+0.02s] DEBUG: XServer 0: Logging to /var/log/lightdm/x-0.log
[+0.02s] DEBUG: XServer 0: Writing X server authority to /run/lightdm/root/:0
[+0.02s] DEBUG: XServer 0: Launching X Server
[+0.02s] DEBUG: Launching process 365: /usr/bin/X :0 -seat seat0 -auth /run/lightdm/root/:0 -nolisten tcp vt7 -novtswitch
[+0.02s] DEBUG: XServer 0: Waiting for ready signal from X server :0
[+0.02s] DEBUG: Acquired bus name org.freedesktop.DisplayManager
[+0.02s] DEBUG: Registering seat with bus path /org/freedesktop/DisplayManager/Seat0
[+0.07s] DEBUG: Loading users from org.freedesktop.Accounts
[+0.07s] DEBUG: User /org/freedesktop/Accounts/User1000 added
[+2.09s] DEBUG: Got signal 10 from process 365
[+2.09s] DEBUG: XServer 0: Got signal from X server :0
[+2.09s] DEBUG: XServer 0: Connecting to XServer :0
[+2.10s] CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
[+2.10s] DEBUG: Seat seat0: Display server ready, starting session authentication
[+2.10s] DEBUG: Session pid=515: Started with service 'lightdm-greeter', username 'lightdm'
[+2.11s] DEBUG: Session pid=515: Authentication complete with return value 0: Success
[+2.11s] DEBUG: Seat seat0: Session authenticated, running command
[+2.11s] DEBUG: Session pid=515: Running command /usr/bin/lightdm-gtk-greeter
[+2.11s] DEBUG: Creating shared data directory /var/lib/lightdm-data/lightdm
[+2.11s] DEBUG: Session pid=515: Logging to /var/log/lightdm/seat0-greeter.log
[+2.21s] DEBUG: Activating VT 7
[+2.21s] DEBUG: Activating login1 session c1
[+2.21s] DEBUG: Seat seat0 changes active session to c1
[+2.21s] DEBUG: Session c1 is already active
[+2.57s] DEBUG: Greeter connected version=1.24.1 api=1 resettable=false
[+2.96s] DEBUG: Greeter start authentication for jim
[+2.96s] DEBUG: Session pid=569: Started with service 'lightdm', username 'jim'
[+2.98s] DEBUG: Session pid=569: Got 1 message(s) from PAM
[+2.98s] DEBUG: Prompt greeter with 1 message(s)
[+8.78s] DEBUG: Continue authentication
[+8.79s] DEBUG: Session pid=569: Authentication complete with return value 0: Success
[+8.79s] DEBUG: Authenticate result for user jim: Success
[+8.79s] DEBUG: User jim authorized
[+8.79s] DEBUG: Greeter sets language en_US.utf8
[+8.81s] DEBUG: Greeter requests session xfce
[+8.81s] DEBUG: Seat seat0: Stopping greeter; display server will be re-used for user session
[+8.81s] DEBUG: Terminating login1 session c1
[+8.81s] DEBUG: Session pid=515: Sending SIGTERM
[+8.82s] DEBUG: Greeter closed communication channel
[+8.82s] DEBUG: Session pid=515: Exited with return value 0
[+8.82s] DEBUG: Seat seat0: Session stopped
[+8.82s] DEBUG: Seat seat0: Greeter stopped, running session
[+8.82s] DEBUG: Registering session with bus path /org/freedesktop/DisplayManager/Session0
[+8.82s] CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
[+8.82s] DEBUG: Session pid=569: Running command /etc/lightdm/Xsession startxfce4
[+8.82s] DEBUG: Creating shared data directory /var/lib/lightdm-data/jim
[+8.82s] DEBUG: Session pid=569: Logging to .xsession-errors
[+8.90s] DEBUG: Activating VT 7
[+8.90s] DEBUG: Activating login1 session c2
[+8.90s] DEBUG: Seat seat0 changes active session to
[+8.90s] DEBUG: Seat seat0 changes active session to c2
[+8.90s] DEBUG: Session c2 is already active
[+17.94s] DEBUG: Seat seat0: Locking
[+17.99s] DEBUG: Seat seat0: Creating greeter session
[+17.99s] DEBUG: Seat seat0: Creating display server of type x
[+17.99s] DEBUG: Using VT 8
[+17.99s] DEBUG: Seat seat0: Starting local X display on VT 8
[+17.99s] DEBUG: XServer 1: Logging to /var/log/lightdm/x-1.log
[+17.99s] DEBUG: XServer 1: Writing X server authority to /run/lightdm/root/:1
[+17.99s] DEBUG: XServer 1: Launching X Server
[+18.00s] DEBUG: Launching process 860: /usr/bin/X :1 -seat seat0 -auth /run/lightdm/root/:1 -nolisten tcp vt8 -novtswitch
[+18.00s] DEBUG: XServer 1: Waiting for ready signal from X server :1
[+18.51s] DEBUG: Seat seat0 changes active session to
[+19.49s] DEBUG: Got signal 10 from process 860
[+19.49s] DEBUG: XServer 1: Got signal from X server :1
[+19.49s] DEBUG: XServer 1: Connecting to XServer :1
[+19.50s] CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
[+19.50s] DEBUG: Seat seat0: Display server ready, starting session authentication
[+19.50s] DEBUG: Session pid=871: Started with service 'lightdm-greeter', username 'lightdm'
[+19.51s] DEBUG: Session pid=871: Authentication complete with return value 0: Success
[+19.51s] DEBUG: Seat seat0: Session authenticated, running command
[+19.51s] DEBUG: Session pid=871: Running command /usr/bin/lightdm-gtk-greeter
[+19.51s] DEBUG: Creating shared data directory /var/lib/lightdm-data/lightdm
[+19.51s] DEBUG: Session pid=871: Logging to /var/log/lightdm/seat0-greeter.log
[+19.56s] DEBUG: Activating VT 8
[+19.56s] DEBUG: Locking login1 session c2
[+19.56s] DEBUG: Activating login1 session c3
[+19.56s] DEBUG: Seat seat0 changes active session to c3
[+19.56s] DEBUG: Session c3 is already active
[+19.78s] DEBUG: Greeter connected version=1.24.1 api=1 resettable=false
[+19.91s] DEBUG: Greeter start authentication for jim
[+19.91s] DEBUG: Session pid=917: Started with service 'lightdm', username 'jim'
[+19.92s] DEBUG: Session pid=917: Got 1 message(s) from PAM
[+19.92s] DEBUG: Prompt greeter with 1 message(s)
[+25.17s] DEBUG: Continue authentication
[+25.19s] DEBUG: Session pid=917: Authentication complete with return value 0: Success
[+25.19s] DEBUG: Authenticate result for user jim: Success
[+25.19s] DEBUG: User jim authorized
[+25.19s] DEBUG: Greeter sets language en_US.utf8
[+25.20s] DEBUG: Greeter requests session xfce
[+25.20s] DEBUG: Seat seat0: Returning to existing user session jim
[+25.20s] DEBUG: Unlocking login1 session c2
[+25.20s] DEBUG: Activating VT 7
[+25.51s] DEBUG: Seat seat0: Stopping greeter
[+25.51s] DEBUG: Terminating login1 session c3
[+25.52s] DEBUG: Session pid=871: Sending SIGTERM
[+25.52s] DEBUG: Activating login1 session c2
[+25.52s] DEBUG: Session pid=917: Exited with return value 0
[+25.52s] DEBUG: Seat seat0: Session stopped
[+25.52s] DEBUG: Seat seat0 changes active session to c2
[+25.52s] DEBUG: Session c2 is already active
[+25.55s] DEBUG: Greeter closed communication channel
[+25.55s] DEBUG: Session pid=871: Exited with return value 0
[+25.55s] DEBUG: Seat seat0: Session stopped
[+25.55s] DEBUG: Seat seat0: Stopping display server, no sessions require it
[+25.55s] DEBUG: Sending signal 15 to process 860
[+25.59s] DEBUG: Process 860 exited with return value 0
[+25.59s] DEBUG: XServer 1: X server stopped
[+25.59s] DEBUG: Releasing VT 8
[+25.59s] DEBUG: XServer 1: Removing X server authority /run/lightdm/root/:1
[+25.59s] DEBUG: Seat seat0: Display server stopped
Und hier auch meine .xsession-errors:
gpg-agent[612]: WARNING: "--write-env-file" is an obsolete option - it has no effect
gpg-agent: a gpg-agent is already running - not starting a new one

(xfce4-session:604): xfce4-session-WARNING **: gpg-agent returned no PID in the variables

(xfce4-session:604): xfce4-session-WARNING **: xfsm_manager_load_session: Something wrong with /home/jim/.cache/sessions/xfce4-session-manjaro:0, Does it exist? Permissions issue?

** (xfce4-clipman:625): WARNING **: Unable to register GApplication: An object is already exported for the interface org.gtk.Application at /org/xfce/clipman

(xfce4-clipman:625): GLib-GIO-CRITICAL **: g_application_get_is_remote: assertion 'application->priv->is_registered' failed

(xfce4-clipman:625): GLib-WARNING **: g_set_application_name() called multiple times

(xfwm4:616): xfwm4-WARNING **: Error waiting on vblank with DRI: Invalid argument

(nm-applet:637): GLib-GIO-WARNING **: gdbusobjectmanagerclient.c:1585: Processing InterfaceRemoved signal for path /org/freedesktop/NetworkManager/AccessPoint/7 but no object proxy exists

(nm-applet:637): GLib-GIO-WARNING **: gdbusobjectmanagerclient.c:1585: Processing InterfaceRemoved signal for path /org/freedesktop/NetworkManager/AccessPoint/1 but no object proxy exists

(nm-applet:637): GLib-GIO-WARNING **: gdbusobjectmanagerclient.c:1585: Processing InterfaceRemoved signal for path /org/freedesktop/NetworkManager/AccessPoint/2 but no object proxy exists

(nm-applet:637): GLib-GIO-WARNING **: gdbusobjectmanagerclient.c:1585: Processing InterfaceRemoved signal for path /org/freedesktop/NetworkManager/AccessPoint/8 but no object proxy exists

(nm-applet:637): GLib-GIO-WARNING **: gdbusobjectmanagerclient.c:1585: Processing InterfaceRemoved signal for path /org/freedesktop/NetworkManager/AccessPoint/9 but no object proxy exists

(nm-applet:637): GLib-GIO-WARNING **: gdbusobjectmanagerclient.c:1585: Processing InterfaceRemoved signal for path /org/freedesktop/NetworkManager/AccessPoint/3 but no object proxy exists

(nm-applet:637): GLib-GIO-WARNING **: gdbusobjectmanagerclient.c:1585: Processing InterfaceRemoved signal for path /org/freedesktop/NetworkManager/AccessPoint/4 but no object proxy exists

(nm-applet:637): GLib-GIO-WARNING **: gdbusobjectmanagerclient.c:1585: Processing InterfaceRemoved signal for path /org/freedesktop/NetworkManager/AccessPoint/5 but no object proxy exists

** (xfce4-clipman:625): WARNING **: Clipboard manager is already running.

(wrapper-2.0:710): Gtk-WARNING **: Negative content width -1 (allocation 1, extents 1x1) while allocating gadget (node button, owner PulseaudioButton)
weather-Message: getting https://api.met.no/weatherapi/sunrise/1.1/?lat=53.248706;lon=10.407855;from=2018-03-28;to=2018-04-22
weather-Message: getting https://api.met.no/weatherapi/locationforecastlts/1.3/?lat=53.248706;lon=10.407855;msl=23

(pamac-tray:645): Gdk-CRITICAL **: gdk_window_thaw_toplevel_updates: assertion 'window->update_and_descendants_freeze_count > 0' failed
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/dbus/bus.py", line 175, in activate_name_owner
    return self.get_name_owner(bus_name)
  File "/usr/lib/python3.6/site-packages/dbus/bus.py", line 361, in get_name_owner
    's', (bus_name,), **keywords)
  File "/usr/lib/python3.6/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NameHasNoOwner: Could not get owner of name 'org.bluez': no such name

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/blueman-applet", line 121, in <module>
    BluemanApplet()
  File "/usr/bin/blueman-applet", line 63, in __init__
    self.Plugins.Load()
  File "/usr/lib/python3.6/site-packages/blueman/main/PluginManager.py", line 90, in Load
    __import__(self.module_path.__name__ + ".%s" % plugin, None, None, [])
  File "/usr/lib/python3.6/site-packages/blueman/plugins/applet/DBusService.py", line 12, in <module>
    from blueman.main.applet.BluezAgent import AdapterAgent
  File "/usr/lib/python3.6/site-packages/blueman/main/applet/BluezAgent.py", line 23, in <module>
    from blueman.bluez.Agent import Agent, AgentMethod
  File "/usr/lib/python3.6/site-packages/blueman/bluez/Agent.py", line 48, in <module>
    class Agent(dbus.service.Object):
  File "/usr/lib/python3.6/site-packages/blueman/bluez/Agent.py", line 56, in Agent
    @AgentMethod
  File "/usr/lib/python3.6/site-packages/blueman/bluez/Agent.py", line 38, in AgentMethod
    if BlueZInterface.get_interface_version()[0] < 5:
  File "/usr/lib/python3.6/site-packages/blueman/bluez/BlueZInterface.py", line 16, in get_interface_version
    obj = dbus.SystemBus().get_object('org.bluez', '/')
  File "/usr/lib/python3.6/site-packages/dbus/bus.py", line 241, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/usr/lib/python3.6/site-packages/dbus/proxies.py", line 248, in __init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/usr/lib/python3.6/site-packages/dbus/bus.py", line 180, in activate_name_owner
    self.start_service_by_name(bus_name)
  File "/usr/lib/python3.6/site-packages/dbus/bus.py", line 278, in start_service_by_name
    'su', (bus_name, flags)))
  File "/usr/lib/python3.6/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.bluez': timed out (service_start_timeout=25000ms)

###!!! [Parent][DispatchAsyncMessage] Error: PClientSourceOp::Msg___delete__ Route error: message sent to unknown actor ID


###!!! [Parent][MessageChannel] Error: (msgtype=0x100037,name=PBackground::Msg_DispatchLocalStorageChange) Channel closing: too late to send/recv, messages will be lost


(Thunar:622): Gdk-WARNING **: gdk_window_set_icon_list: icons too large

(Thunar:622): Gdk-WARNING **: gdk_window_set_icon_list: icons too large

(Thunar:622): Gdk-WARNING **: gdk_window_set_icon_list: icons too large

(Thunar:622): Gdk-WARNING **: gdk_window_set_icon_list: icons too large

(Thunar:622): Gdk-WARNING **: gdk_window_set_icon_list: icons too large
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.

(thunar:1301): Gdk-WARNING **: gdk_window_set_icon_list: icons too large

(thunar:1301): Gdk-WARNING **: gdk_window_set_icon_list: icons too large

(mousepad:1362): Gtk-WARNING **: Theme parsing error: <data>:2:29: The style property GtkButton:default-border is deprecated and shouldn't be used anymore. It will be removed in a future version

(mousepad:1362): Gtk-WARNING **: Theme parsing error: <data>:3:37: The style property GtkButton:default-outside-border is deprecated and shouldn't be used anymore. It will be removed in a future version

(mousepad:1362): Gtk-WARNING **: Theme parsing error: <data>:4:27: The style property GtkButton:inner-border is deprecated and shouldn't be used anymore. It will be removed in a future version

(mousepad:1362): Gtk-WARNING **: Theme parsing error: <data>:5:31: The style property GtkWidget:focus-line-width is deprecated and shouldn't be used anymore. It will be removed in a future version

(mousepad:1362): Gtk-WARNING **: Theme parsing error: <data>:6:28: The style property GtkWidget:focus-padding is deprecated and shouldn't be used anymore. It will be removed in a future version

(Thunar:622): Gdk-WARNING **: gdk_window_set_icon_list: icons too large

(Thunar:622): Gdk-WARNING **: gdk_window_set_icon_list: icons too large
der org.bluez service, hat das vlt was mit bluetooth zu tun?

Offline kisun

  • Neuling
  • *
  • Beiträge: 22
  • Dankeschön: 4 mal
  • Desktop: XFCE
  • Grafikkarte: nVidia GeForce GTX 960
  • Grafikkartentreiber: nonfree
  • Kernel: 4.16.8_1-MANJARO
  • Prozessor: i5-4690K
  • Skill: Anfänger
  • Zweig: stable
Re: lightdm bug
« Antwort #3 am: 29. März 2018, 08:34:18 »
Hallo schranzonator,

ich kann dir zwar keine Lösung geben, aber dir beistehen und sagen das du nicht der einzigste bist mit diesem Problem. Ich benutzte auch die nonfree nvidian-treiber, hätte aber nicht gedacht das es daran liegt.

Bei mir trat dieses Problem erst auf als ich ein anderes Plymouth-theme installiert hatte. Momentan hab ich mich erstmal damit abgefunden, aber wenn wir eine Lösung finden könnten wäre das auch nicht schlecht.

Mein lightdm.log sieht auch aus wie deine. Einzigster Fehler ist wie bei dir
Zitat
[+13.90s] CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
[+31.38s] CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed

Leider bin ich auch noch nicht so fit bei Linux wie ich es gern wäre um das Problem selbst zu lösen, aber lerne immer gern dazu.

Liebe Grüße

Offline kisun

  • Neuling
  • *
  • Beiträge: 22
  • Dankeschön: 4 mal
  • Desktop: XFCE
  • Grafikkarte: nVidia GeForce GTX 960
  • Grafikkartentreiber: nonfree
  • Kernel: 4.16.8_1-MANJARO
  • Prozessor: i5-4690K
  • Skill: Anfänger
  • Zweig: stable
Re: lightdm bug
« Antwort #4 am: 29. März 2018, 09:12:57 »
Mir fällt gerade auch auf das auch ungefähr seit der zeit mein conky spinnt. Ich habe 2 Monitore und auf beiden je eine unterschiedliche conky-anzeige. Seither passiert es gelegentlich das das die Conky-Anzeige von Monitor 1 auf Monitor 2 angezeigt wird und die Conky-Anzeige von Monitor 2 gar nicht zu sehen ist. Als ob er beim ersten Start bei der Monitorzahl bei 0 anfängt nicht bei 1.
Wenn ich dann die jeweiligen conky.rc-Dateien öffne und wieder speicher (ohne Änderungen) sind die Conky-Anzeigen wieder an der richtigen stelle. komisch.  :(

Könnte uU auch mit dem Problem zu tun haben.

Offline gosia

  • Held Mitglied
  • *****
  • Beiträge: 1288
  • Dankeschön: 242 mal
  • Desktop: Openbox + xfce
  • Grafikkarte: Intel HD 4000
  • Grafikkartentreiber: i915 (free)
  • Kernel: 4.9 Artix
  • Prozessor: Intel Core i5-3210M
  • Skill: Durchschnitt
  • Zweig: stable
Re: lightdm bug
« Antwort #5 am: 29. März 2018, 11:05:52 »
Hallo schranzonator,
der org.bluez service, hat das vlt was mit bluetooth zu tun?
Ja, das ist der Dienst für Bluetooth. Wenn Du das nicht brauchst solltest Du den entfernen. Deine Log-Dateien sind so voller Fehlermeldungen, daß man gar nicht weiss, wo man anfangen soll...
Plymouth:
Could not run plymouth --ping: Failed to execute child process “plymouth” (No such file or directory)
am besten entfernen oder wenigstens nicht starten
https://wiki.manjaro.org/index.php?title=Plymouth#Removal

gpg-agent:
gpg-agent[612]: WARNING: "--write-env-file" is an obsolete option - it has no effect
gpg-agent: a gpg-agent is already running - not starting a new one
auch hier, brauchst Du den unbedingt und wenn ja, warum wird er zweimal gestartet und dann noch mit einer veralteten Option?
https://wiki.archlinux.org/index.php/GnuPG

xfce4:
(xfce4-session:604): xfce4-session-WARNING **: xfsm_manager_load_session: Something wrong with /home/jim/.cache/sessions/xfce4-session-manjaro:0, Does it exist?
gute Frage, gibt es das und ist was nicht in Ordnung damit? Eventuell /home/jim/.cache/sessions/xfce4-session-manjaro löschen (oder wenigstens umbenennen).

Können alles Folgefehler sein oder nichts mit dem Problem zu tun haben. Ist aber schwierig zu analysieren, wenn solch ein Wust von Warnungen und Fehlermeldungen kommt.
Um noch was halbwegs konstruktives beizutragen, probiere mal das hier in der lightdm.conf:
[LightDM]
logind-check-graphical=true
https://wiki.archlinux.org/index.php/LightDM#LightDM_does_not_appear

Viele Grüße gosia

Offline Pig of Destiny

  • Held Mitglied
  • *****
  • Beiträge: 1384
  • Dankeschön: 125 mal
  • Desktop: Xfce
  • Grafikkarte: Intel Graphics
  • Grafikkartentreiber: free
  • Kernel: 4.16
  • Prozessor: Intel Celeron N3350
  • Skill: Durchschnitt
  • Zweig: Arch Linux
Re: lightdm bug
« Antwort #6 am: 29. März 2018, 12:00:05 »
Bitte noch mal die Befehle sudo grep -e '(EE)' /var/log/Xorg.0.log,sudo grep -i fail /var/log/lightdm/x-0.logundsudo grep -i fail /var/log/lightdm/seat0-greeter.logausführen und die Ergebnisse hier posten, sofern die Lösung von Gosia nicht angeschlagen hat.

Grüße,
PoD

Edit: Um die Ausgabe des lightdm.log nach Fehlern zu filtern könntest du auch sudo grep -i fail /var/log/lightdm/lightdm.logausführen.

Die Befehle dienen eigentlich nur dazu alle Zeilen in denen der Wortbestandteil "fail" vorkommt anzuzeigen.
« Letzte Änderung: 29. März 2018, 12:11:26 von Pig of Destiny »

Offline schranzonator

  • Neuling
  • *
  • Beiträge: 3
  • Desktop: XFCE
  • Grafikkarte: GTX 970
  • Grafikkartentreiber: nonfree
  • Prozessor: intel q9550
  • Skill: Durchschnitt
  • Zweig: stable
Re: lightdm bug
« Antwort #7 am: 29. März 2018, 16:01:39 »
Vielen Dank für eure Hilfe, werd eure Lösungsvorschläge mal ausprobieren  ^-^
Hab mir allerdings grad noch mal ein System mit gnome aufgesetzt, gefällt mir auch nich schlecht.
Besonders der einfachere Umgang mit Farbprofilen. Habs unter xfce mit argyllcms und displaycal probiert
aber der profilloader ließ sich einfach nicht starten, naja anderes Thema  ::)
cheers

Offline kisun

  • Neuling
  • *
  • Beiträge: 22
  • Dankeschön: 4 mal
  • Desktop: XFCE
  • Grafikkarte: nVidia GeForce GTX 960
  • Grafikkartentreiber: nonfree
  • Kernel: 4.16.8_1-MANJARO
  • Prozessor: i5-4690K
  • Skill: Anfänger
  • Zweig: stable
Re: lightdm bug
« Antwort #8 am: 06. Juni 2018, 06:57:58 »
Dieses Problem wurde hier gelöst:

https://de.manjaro.org/index.php?topic=8523.0